package com.jay.monitor.data.core.model.response;

import java.util.List;

/**
 * 分页实体重新构建
 *
 * @author Liukx
 * @create 2018-05-09 15:15
 * @email liukx@elab-plus.com
 **/
public class PageInfoModel<T> {

    private int rowTotal;
    private int pageSize = 3;
    private int count = 1;
    private int total;
    private int beginIndex;
    private int endIndex;
    private List<T> resultSet;
    private String orderby = "";

    public List<T> getResultSet() {
        return this.resultSet;
    }

    public void setResultSet(List<T> resultSet) {
        this.resultSet = resultSet;
    }

    public int getRowTotal() {
        return this.rowTotal;
    }

    public void setRowTotal(int rowTotal) {
        this.rowTotal = rowTotal;
    }

    public int getCount() {
        return this.count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public int getTotal() {
        return this.total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getTotalRow() {
        return this.rowTotal;
    }

    public int getPageSize() {
        return this.pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getBeginIndex() {
        return this.beginIndex;
    }

    public void setBeginIndex(int beginIndex) {
        this.beginIndex = beginIndex;
    }

    public int getEndIndex() {
        return this.endIndex;
    }

    public void setEndIndex(int endIndex) {
        this.endIndex = endIndex;
    }

    public String getOrderby() {
        return this.orderby;
    }

    public void setOrderby(String orderby) {
        this.orderby = orderby;
    }

}
